﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using trmgr.DAL;

namespace trmgr.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20201115013814_seednumber-decimal")]
    partial class seednumberdecimal
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityAlwaysColumn)
                .HasAnnotation("ProductVersion", "2.1.11-servicing-32099")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Name")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex");

                    b.ToTable("AspNetRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("RoleId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider");

                    b.Property<string>("ProviderKey");

                    b.Property<string>("ProviderDisplayName");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("RoleId");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("LoginProvider");

                    b.Property<string>("Name");

                    b.Property<string>("Value");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<int>("Age");

                    b.Property<string>("Appartment");

                    b.Property<int?>("CityId");

                    b.Property<int?>("ClubId");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Email")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed");

                    b.Property<string>("FirstName")
                        .HasMaxLength(50);

                    b.Property<string>("LastName")
                        .HasMaxLength(50);

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<string>("SecurityStamp");

                    b.Property<string>("StreetAddress");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName")
                        .HasMaxLength(256);

                    b.Property<decimal>("Weight")
                        .HasColumnType("decimal(4,1)");

                    b.HasKey("Id");

                    b.HasIndex("CityId");

                    b.HasIndex("ClubId");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex");

                    b.ToTable("AspNetUsers");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Bracket", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AgeCategoryId");

                    b.Property<int>("DivisionId");

                    b.Property<int>("ExperienceCategoryId");

                    b.Property<int>("GenderCategoryId");

                    b.Property<int>("WeightCategoryId");

                    b.HasKey("Id");

                    b.HasIndex("AgeCategoryId");

                    b.HasIndex("DivisionId");

                    b.HasIndex("ExperienceCategoryId");

                    b.HasIndex("GenderCategoryId");

                    b.HasIndex("WeightCategoryId");

                    b.ToTable("Brackets");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("CategoryGroupId");

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.Property<string>("Name")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("CategoryGroupId");

                    b.ToTable("Categories");

                    b.HasDiscriminator<string>("Discriminator").HasValue("Category");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup", b =>
                {
                    b.Property<int>("CategoryId");

                    b.Property<int>("DivisionGroupId");

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.HasKey("CategoryId", "DivisionGroupId");

                    b.ToTable("CategoryDivisionGroups");

                    b.HasDiscriminator<string>("Discriminator").HasValue("CategoryDivisionGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.Property<string>("Name")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("CategoryGroups");

                    b.HasDiscriminator<string>("Discriminator").HasValue("CategoryGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Division", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name");

                    b.Property<int>("TournamentId");

                    b.HasKey("Id");

                    b.HasIndex("TournamentId");

                    b.ToTable("Divisions");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.DivisionGroup", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("DivisionId");

                    b.HasKey("Id");

                    b.HasIndex("DivisionId");

                    b.ToTable("DivisionGroups");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Match", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<byte>("Advantages1");

                    b.Property<byte>("Advantages2");

                    b.Property<int?>("BracketId");

                    b.Property<bool>("IsDQed1");

                    b.Property<bool>("IsDQed2");

                    b.Property<int?>("LooserId");

                    b.Property<int?>("LooserRegistrationId");

                    b.Property<byte>("Penalties1");

                    b.Property<byte>("Penalties2");

                    b.Property<int?>("Registration1Id");

                    b.Property<int?>("Registration2Id");

                    b.Property<byte>("Score1");

                    b.Property<byte>("Score2");

                    b.Property<double>("SeedNumber");

                    b.Property<int?>("WinnerId");

                    b.Property<int?>("WinnerMatchId");

                    b.Property<int?>("WinnerRegistrationId");

                    b.HasKey("Id");

                    b.HasIndex("BracketId");

                    b.HasIndex("LooserRegistrationId");

                    b.HasIndex("Registration1Id");

                    b.HasIndex("Registration2Id");

                    b.HasIndex("WinnerMatchId");

                    b.HasIndex("WinnerRegistrationId");

                    b.ToTable("Matches");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Tournament", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ApplicationUserId");

                    b.Property<DateTime?>("Date");

                    b.Property<string>("Name")
                        .HasMaxLength(100);

                    b.Property<DateTime?>("RegistrationEnd");

                    b.Property<DateTime?>("RegistrationStart");

                    b.HasKey("Id");

                    b.HasIndex("ApplicationUserId");

                    b.ToTable("Tournaments");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.RegisteredDivision", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AgeCategoryId");

                    b.Property<int>("DivisionId");

                    b.Property<int>("ExperienceCategoryId");

                    b.Property<int>("GenderCategoryId");

                    b.Property<int>("RegistrationId");

                    b.Property<int>("WeightCategoryId");

                    b.HasKey("Id");

                    b.HasIndex("AgeCategoryId");

                    b.HasIndex("DivisionId");

                    b.HasIndex("ExperienceCategoryId");

                    b.HasIndex("GenderCategoryId");

                    b.HasIndex("RegistrationId");

                    b.HasIndex("WeightCategoryId");

                    b.ToTable("RegisteredDivisions");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Registration", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("City");

                    b.Property<string>("Club");

                    b.Property<string>("EmailAddress")
                        .IsRequired();

                    b.Property<string>("FirstName");

                    b.Property<string>("LastName");

                    b.Property<int>("TournamentId");

                    b.HasKey("Id");

                    b.HasAlternateKey("TournamentId", "EmailAddress")
                        .HasName("U_Registration");

                    b.ToTable("Registrations");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Affiliation", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("Affiliations");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.City", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Name")
                        .HasMaxLength(50);

                    b.Property<int>("ProvinceId");

                    b.HasKey("Id");

                    b.HasIndex("ProvinceId");

                    b.ToTable("Cities");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Club", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int?>("AffiliationId");

                    b.Property<int?>("CityId");

                    b.Property<bool>("Confirmed");

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.HasIndex("AffiliationId");

                    b.HasIndex("CityId");

                    b.ToTable("Clubs");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.ClubName", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int?>("ClubId");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("ClubId");

                    b.ToTable("ClubNames");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Country", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Name")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("Countries");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Province", b =>
                {
                    b.Property<int>("Id");

                    b.Property<int>("CountryId");

                    b.Property<string>("Name")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("CountryId");

                    b.ToTable("Provinces");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.AgeCategory", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category");

                    b.Property<byte>("MaxAge");

                    b.Property<byte>("MinAge");

                    b.ToTable("Categories");

                    b.HasDiscriminator().HasValue("AgeCategory");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ExperienceCategory", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category");

                    b.Property<int>("Difficulty");

                    b.ToTable("Categories");

                    b.HasDiscriminator().HasValue("ExperienceCategory");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.GenderCategory", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category");


                    b.ToTable("Categories");

                    b.HasDiscriminator().HasValue("GenderCategory");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.WeightCategory", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category");

                    b.Property<bool>("Absolute");

                    b.Property<decimal>("MaxWeight")
                        .HasColumnType("decimal(4,1)");

                    b.Property<decimal>("MinWeight")
                        .HasColumnType("decimal(4,1)");

                    b.ToTable("Categories");

                    b.HasDiscriminator().HasValue("WeightCategory");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.AgeCategoryDivisionGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup");


                    b.HasIndex("DivisionGroupId");

                    b.ToTable("CategoryDivisionGroups");

                    b.HasDiscriminator().HasValue("AgeCategoryDivisionGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.ExperienceCategoryDivisionGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup");


                    b.HasIndex("DivisionGroupId")
                        .HasName("IX_CategoryDivisionGroups_DivisionGroupId1");

                    b.ToTable("CategoryDivisionGroups");

                    b.HasDiscriminator().HasValue("ExperienceCategoryDivisionGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.GenderCategoryDivisionGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup");


                    b.HasIndex("DivisionGroupId")
                        .HasName("IX_CategoryDivisionGroups_DivisionGroupId2");

                    b.ToTable("CategoryDivisionGroups");

                    b.HasDiscriminator().HasValue("GenderCategoryDivisionGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.WeightCategoryDivisionGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup");


                    b.HasIndex("DivisionGroupId")
                        .HasName("IX_CategoryDivisionGroups_DivisionGroupId3");

                    b.ToTable("CategoryDivisionGroups");

                    b.HasDiscriminator().HasValue("WeightCategoryDivisionGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.AgeCategoryGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup");


                    b.HasIndex("ApplicationUserId");

                    b.ToTable("CategoryGroups");

                    b.HasDiscriminator().HasValue("AgeCategoryGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ExperienceCategoryGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup");


                    b.HasIndex("ApplicationUserId")
                        .HasName("IX_CategoryGroups_ApplicationUserId1");

                    b.ToTable("CategoryGroups");

                    b.HasDiscriminator().HasValue("ExperienceCategoryGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.GenderCategoryGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup");


                    b.HasIndex("ApplicationUserId")
                        .HasName("IX_CategoryGroups_ApplicationUserId2");

                    b.ToTable("CategoryGroups");

                    b.HasDiscriminator().HasValue("GenderCategoryGroup");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.WeightCategoryGroup", b =>
                {
                    b.HasBaseType("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup");


                    b.HasIndex("ApplicationUserId")
                        .HasName("IX_CategoryGroups_ApplicationUserId3");

                    b.ToTable("CategoryGroups");

                    b.HasDiscriminator().HasValue("WeightCategoryGroup");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.ApplicationUser", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.School.City", "City")
                        .WithMany()
                        .HasForeignKey("CityId");

                    b.HasOne("trmgr.Models.DatabaseModels.School.Club", "Club")
                        .WithMany()
                        .HasForeignKey("ClubId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Bracket", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.AgeCategory", "AgeCategory")
                        .WithMany()
                        .HasForeignKey("AgeCategoryId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Division", "Division")
                        .WithMany("Brackets")
                        .HasForeignKey("DivisionId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.ExperienceCategory", "ExperienceCategory")
                        .WithMany()
                        .HasForeignKey("ExperienceCategoryId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.GenderCategory", "GenderCategory")
                        .WithMany()
                        .HasForeignKey("GenderCategoryId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.WeightCategory", "WeightCategory")
                        .WithMany()
                        .HasForeignKey("WeightCategoryId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryGroup", "CategoryGroup")
                        .WithMany("Categories")
                        .HasForeignKey("CategoryGroupId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.Base.CategoryDivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.Base.Category", "Category")
                        .WithMany("DivisionGroups")
                        .HasForeignKey("CategoryId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Division", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Tournament")
                        .WithMany("Divisions")
                        .HasForeignKey("TournamentId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.DivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Division")
                        .WithMany("DivisionGroups")
                        .HasForeignKey("DivisionId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Match", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Bracket")
                        .WithMany("Matches")
                        .HasForeignKey("BracketId");

                    b.HasOne("trmgr.Models.DatabaseModels.Registration", "LooserRegistration")
                        .WithMany()
                        .HasForeignKey("LooserRegistrationId");

                    b.HasOne("trmgr.Models.DatabaseModels.Registration", "Registration1")
                        .WithMany()
                        .HasForeignKey("Registration1Id");

                    b.HasOne("trmgr.Models.DatabaseModels.Registration", "Registration2")
                        .WithMany()
                        .HasForeignKey("Registration2Id");

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Match", "WinnerMatch")
                        .WithMany()
                        .HasForeignKey("WinnerMatchId");

                    b.HasOne("trmgr.Models.DatabaseModels.Registration", "WinnerRegistration")
                        .WithMany()
                        .HasForeignKey("WinnerRegistrationId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Tournament", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany("Tournaments")
                        .HasForeignKey("ApplicationUserId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.RegisteredDivision", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.AgeCategory", "AgeCategory")
                        .WithMany()
                        .HasForeignKey("AgeCategoryId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Division", "Division")
                        .WithMany("Registrations")
                        .HasForeignKey("DivisionId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.ExperienceCategory", "ExperienceCategory")
                        .WithMany()
                        .HasForeignKey("ExperienceCategoryId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.GenderCategory", "GenderCategory")
                        .WithMany()
                        .HasForeignKey("GenderCategoryId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("trmgr.Models.DatabaseModels.Registration", "Registration")
                        .WithMany("RegistrationDivisions")
                        .HasForeignKey("RegistrationId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Categories.WeightCategory", "WeightCategory")
                        .WithMany()
                        .HasForeignKey("WeightCategoryId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Registration", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.Tournament", "Tournament")
                        .WithMany("Registrations")
                        .HasForeignKey("TournamentId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.City", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.School.Province", "Province")
                        .WithMany()
                        .HasForeignKey("ProvinceId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Club", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.School.Affiliation", "Affiliation")
                        .WithMany()
                        .HasForeignKey("AffiliationId");

                    b.HasOne("trmgr.Models.DatabaseModels.School.City", "City")
                        .WithMany()
                        .HasForeignKey("CityId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.ClubName", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.School.Club")
                        .WithMany("Names")
                        .HasForeignKey("ClubId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.School.Province", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.School.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.AgeCategoryDivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.DivisionGroup", "DivisionGroup")
                        .WithMany("AgeCategories")
                        .HasForeignKey("DivisionGroupId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.ExperienceCategoryDivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.DivisionGroup", "DivisionGroup")
                        .WithMany("ExperienceCategories")
                        .HasForeignKey("DivisionGroupId")
                        .HasConstraintName("FK_CategoryDivisionGroups_DivisionGroups_DivisionGroupId1")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.GenderCategoryDivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.DivisionGroup", "DivisionGroup")
                        .WithMany("GenderCategories")
                        .HasForeignKey("DivisionGroupId")
                        .HasConstraintName("FK_CategoryDivisionGroups_DivisionGroups_DivisionGroupId2")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ManyToMany.WeightCategoryDivisionGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.Organization.DivisionGroup", "DivisionGroup")
                        .WithMany("WeightCategories")
                        .HasForeignKey("DivisionGroupId")
                        .HasConstraintName("FK_CategoryDivisionGroups_DivisionGroups_DivisionGroupId3")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.AgeCategoryGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany("AgeCategoryGroups")
                        .HasForeignKey("ApplicationUserId");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.ExperienceCategoryGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany("ExperienceCategoryGroups")
                        .HasForeignKey("ApplicationUserId")
                        .HasConstraintName("FK_CategoryGroups_AspNetUsers_ApplicationUserId1");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.GenderCategoryGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany("GenderCategoryGroups")
                        .HasForeignKey("ApplicationUserId")
                        .HasConstraintName("FK_CategoryGroups_AspNetUsers_ApplicationUserId2");
                });

            modelBuilder.Entity("trmgr.Models.DatabaseModels.Organization.Categories.WeightCategoryGroup", b =>
                {
                    b.HasOne("trmgr.Models.DatabaseModels.ApplicationUser")
                        .WithMany("WeightCategoryGroups")
                        .HasForeignKey("ApplicationUserId")
                        .HasConstraintName("FK_CategoryGroups_AspNetUsers_ApplicationUserId3");
                });
#pragma warning restore 612, 618
        }
    }
}
